package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TFirehoseMapper;
import com.ruoyi.project.ehs.domain.TFirehose;
import com.ruoyi.project.ehs.service.ITFirehoseService;

import javax.annotation.Resource;

/**
 * 消防水带箱Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-25
 */
@Service
public class TFirehoseServiceImpl implements ITFirehoseService
{
    @Resource
    private TFirehoseMapper tFirehoseMapper;

    /**
     * 查询消防水带箱
     *
     * @param id 消防水带箱ID
     * @return 消防水带箱
     */
    @Override
    public TFirehose selectTFirehoseById(Long id)
    {
        return tFirehoseMapper.selectTFirehoseById(id);
    }

    /**
     * 查询消防水带箱列表
     *
     * @param tFirehose 消防水带箱
     * @return 消防水带箱
     */
    @Override
    public List<TFirehose> selectTFirehoseList(TFirehose tFirehose)
    {
        return tFirehoseMapper.selectTFirehoseList(tFirehose);
    }

    /**
     * 定时任务查询消防水带箱列表
     *
     * @param tFirehose 消防水带箱
     * @return 消防水带箱
     */
    @Override
    public List<TFirehose> selectList(TFirehose tFirehose) {
        return tFirehoseMapper.selectList(tFirehose);
    }

    /**
     * 新增消防水带箱
     *
     * @param tFirehose 消防水带箱
     * @return 结果
     */
    @Override
    public int insertTFirehose(TFirehose tFirehose)
    {
        return tFirehoseMapper.insertTFirehose(tFirehose);
    }

    /**
     * 修改消防水带箱
     *
     * @param tFirehose 消防水带箱
     * @return 结果
     */
    @Override
    public int updateTFirehose(TFirehose tFirehose)
    {
        return tFirehoseMapper.updateTFirehose(tFirehose);
    }

    /**
     * 批量删除消防水带箱
     *
     * @param ids 需要删除的消防水带箱ID
     * @return 结果
     */
    @Override
    public int deleteTFirehoseByIds(Long[] ids)
    {
        return tFirehoseMapper.deleteTFirehoseByIds(ids);
    }

    /**
     * 删除消防水带箱信息
     *
     * @param id 消防水带箱ID
     * @return 结果
     */
    @Override
    public int deleteTFirehoseById(Long id)
    {
        return tFirehoseMapper.deleteTFirehoseById(id);
    }
}
